/*
	msleep.c

	Copyright (c) 2002,2003 Thomas J Pinkl <tom@pinkl.com>

	implements usleep(3) using select(3).  the argument is the number 
	of microseconds to sleep (1,000,000 microseconds == 1 second). 
	returns 0 on success, -1 on error.

	Version 1.00	04/11/2000
*/

#include "telnetcpcd.h"

int msleep(unsigned long microsec)
{
	struct timeval tv;

	tv.tv_sec = microsec / 1000000L;
	tv.tv_usec = microsec % 1000000L;
	return(select(0,NULL,NULL,NULL,&tv));
}
